Kirjoittaja Aihe: Varoitus Lenovon käyttäjille  (Luettu 11960 kertaa)

nm

  • Käyttäjä
  • Viestejä: 16281
    • Profiili
Vs: Varoitus Lenovon käyttäjille
« Vastaus #20 : 21.12.17 - klo:22.31 »
Haasteksi tulee se läppärin sataliitäntä pöytäkoneen levyn kanssa. Tai millä kytkeä se koneesee. Mutta ehkä tässä joulun aikaan malttaa odotella..

Itse ottaisin sen SSD-levyn läppäristä irti ja kopioisin pöytäkoneella toiselle isommalle levylle dd:llä tai vastaavalla työkalulla. Sitten SSD irti ja säilytykseen. Osioiden siirtelyt tarpeen mukaan sillä kopiolevyllä ja sitten uusi kopio toiselle läppärin levylle, jonka meinaat siihen Fujitsuun laittaa jatkossa.

Tomin

  • Palvelimen ylläpitäjä
  • Käyttäjä / moderaattori+
  • Viestejä: 11447
    • Profiili
    • Tomin kotisivut
Vs: Varoitus Lenovon käyttäjille
« Vastaus #21 : 24.12.17 - klo:10.55 »
Tämähän mielenkiintoista.
https://www.phoronix.com/forums/forum/phoronix/general-discussion/996446-ubuntu-17-10-temporarily-pulled-due-to-a-bios-corrupting-problem?p=997135#post997135
Lainaus
Latest word is it has nothing to do with 4.13 either -- already knew it had nothing to do with laptops in general or Lenovo specifically -- the fake news has infected Linux-land too.
https://bugzilla.kernel.org/attachme...15&action=diff

The offending code was introduced in kernel 4.11 and fixed in 4.14-RC1

Eli tuo ongelmallinen koodi olisi ollut jo 4.11-ytimessä ja se on korjattu 4.14-RC1:ssä (en tiedä onko muutos jo tuotu aiempiin ytimiin). Liekkö sitten niin, että muut jakelut eivät ole ottaneet tuota SPI-ajuria käyttöön?
Automaattinen allekirjoitus:
Lisäisitkö [RATKAISTU] ketjun ensimmäisen viestin aiheeseen ongelman ratkettua, kiitos.

salai

  • Käyttäjä
  • Viestejä: 2126
    • Profiili
Vs: Varoitus Lenovon käyttäjille
« Vastaus #22 : 26.12.17 - klo:10.37 »
Tämähän mielenkiintoista.
https://www.phoronix.com/forums/forum/phoronix/general-discussion/996446-ubuntu-17-10-temporarily-pulled-due-to-a-bios-corrupting-problem?p=997135#post997135
Lainaus
Latest word is it has nothing to do with 4.13 either -- already knew it had nothing to do with laptops in general or Lenovo specifically -- the fake news has infected Linux-land too.
https://bugzilla.kernel.org/attachme...15&action=diff

The offending code was introduced in kernel 4.11 and fixed in 4.14-RC1

Eli tuo ongelmallinen koodi olisi ollut jo 4.11-ytimessä ja se on korjattu 4.14-RC1:ssä (en tiedä onko muutos jo tuotu aiempiin ytimiin). Liekkö sitten niin, että muut jakelut eivät ole ottaneet tuota SPI-ajuria käyttöön?
Korjattu kernel (4.13.0-21.24~16.04.1) on julkaistu 21.12.2017, minkä kerroin jo silloin.
Ubuntu 17.10 iso-tiedostoja ei ole korjattu (kernelit edelleen 4.13-16.*), eikä niiden lataamista ole estetty. Lataussivustolla (http://releases.ubuntu.com/17.10/) ei ole edes mitään mainintaa noiden versioiden ongelmista.

pumo

  • Käyttäjä
  • Viestejä: 140
    • Profiili
Vs: Varoitus Lenovon käyttäjille
« Vastaus #23 : 27.12.17 - klo:12.07 »
joku kirjoitti bugilistalla saaneensa kuntoon tällä vinkillä:
https://askubuntu.com/questions/984043/unable-to-make-changes-in-bios-after-17-10-installation
en ole testannut itse enkä nyt hötkyile kunnes tulee jotain virallista tai vahvistusta, uusi konekin on matkalla jo :)

nm

  • Käyttäjä
  • Viestejä: 16281
    • Profiili
Vs: Varoitus Lenovon käyttäjille
« Vastaus #24 : 27.12.17 - klo:12.14 »
Tämähän mielenkiintoista.
https://www.phoronix.com/forums/forum/phoronix/general-discussion/996446-ubuntu-17-10-temporarily-pulled-due-to-a-bios-corrupting-problem?p=997135#post997135
Lainaus
Latest word is it has nothing to do with 4.13 either -- already knew it had nothing to do with laptops in general or Lenovo specifically -- the fake news has infected Linux-land too.
https://bugzilla.kernel.org/attachme...15&action=diff

The offending code was introduced in kernel 4.11 and fixed in 4.14-RC1

Eli tuo ongelmallinen koodi olisi ollut jo 4.11-ytimessä ja se on korjattu 4.14-RC1:ssä (en tiedä onko muutos jo tuotu aiempiin ytimiin). Liekkö sitten niin, että muut jakelut eivät ole ottaneet tuota SPI-ajuria käyttöön?
Korjattu kernel (4.13.0-21.24~16.04.1) on julkaistu 21.12.2017, minkä kerroin jo silloin.

Tomin viittasi virallisen kernelin lähdekooditason muutoksiin, eikä Ubuntun kerneleihin, joissa intel-spi-ajuri kytkettiin kokonaan pois konfiguraatiosta, kun ongelma havaittiin.


Ubuntu 17.10 iso-tiedostoja ei ole korjattu (kernelit edelleen 4.13-16.*), eikä niiden lataamista ole estetty. Lataussivustolla (http://releases.ubuntu.com/17.10/) ei ole edes mitään mainintaa noiden versioiden ongelmista.

Ubuntun latausten etusivu on tämä: https://www.ubuntu.com/download/desktop

Lainaus
The download of Ubuntu 17.10 is currently discouraged due to an issue on certain Lenovo laptops. Once fixed this download will be enabled again.

salai

  • Käyttäjä
  • Viestejä: 2126
    • Profiili
Vs: Varoitus Lenovon käyttäjille
« Vastaus #25 : 27.12.17 - klo:12.39 »
Ubuntu 17.10 iso-tiedostoja ei ole korjattu (kernelit edelleen 4.13-16.*), eikä niiden lataamista ole estetty. Lataussivustolla (http://releases.ubuntu.com/17.10/) ei ole edes mitään mainintaa noiden versioiden ongelmista.

Ubuntun latausten etusivu on tämä: https://www.ubuntu.com/download/desktop

Lainaus
The download of Ubuntu 17.10 is currently discouraged due to an issue on certain Lenovo laptops. Once fixed this download will be enabled again.
Tuota varoitusta ei taida löytyä mistään muualta kuin Ubuntun latausten etusivulta, jos sinne sattumalta eksyy?
Ei näy esimerkiksi Lubuntulle (mitä versiota testasin ensin):
http://lubuntu.me/artful-released/

Lähinnä kritisoin sitä, että monet toisen käden lähteet väittivät Canonicalin estäneen 17.10-versioiden lataukset, kuten tuolla otsikossa "Ubuntu 17.10:n jakelu keskeytettiin":.
https://www.mikrobitti.fi/2017/12/canonical-reagoi-bios-ongelmaan-ubuntu-17-10n-jakelu-keskeytettiin-ladatkaa-16-04-lts/
Samaten The Register otsikossa "Ubuntu 17.10 PULLED":
https://www.theregister.co.uk/2017/12/21/ubuntu_lenovo_bios/


nm

  • Käyttäjä
  • Viestejä: 16281
    • Profiili
Vs: Varoitus Lenovon käyttäjille
« Vastaus #26 : 27.12.17 - klo:13.07 »
Ei näy esimerkiksi Lubuntulle (mitä versiota testasin ensin):
http://lubuntu.me/artful-released/

http://lubuntu.me/

Lainaus
There is a serious issue in Ubuntu 17.10 (and its flavours like Lubuntu) that affect certain Lenovo laptops.

If you have a Lenovo laptop, it is strongly advised to choose 16.04.3 LTS.

salai

  • Käyttäjä
  • Viestejä: 2126
    • Profiili
Vs: Varoitus Lenovon käyttäjille
« Vastaus #27 : 27.12.17 - klo:13.39 »
Nuo Ubuntujen pääsivut eivät vain tulleet ensimmäisenä Googlesta (ainakaan minulla) esiin, kun etsin eri versioiden lataussivustoa.

Monet ovat ilmeisesti saaneet tänään korjattua biosinsa asentamalla 4.14.9-kernelin viestin #294 mukaisesti:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1734147

Siis tuo vaatii, että kone käynnistyy Ubuntuun ja siihen saa asennettua ukuu-palikan.
Esim. tuolla: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1734147/comments/308


pumo

  • Käyttäjä
  • Viestejä: 140
    • Profiili
Vs: Varoitus Lenovon käyttäjille
« Vastaus #28 : 27.12.17 - klo:14.52 »
sama kai se olisi asentaa tuolta suoraan http://kernel.ubuntu.com/~kernel-ppa/mainline/

pumo

  • Käyttäjä
  • Viestejä: 140
    • Profiili
Vs: Varoitus Lenovon käyttäjille
« Vastaus #29 : 27.12.17 - klo:18.50 »
Toimii tuo kerneli päivitys. Biossi heräsi taas henkiin!
Asensin tuon ukuun kautta, ja läppärinä toshiba s50b.
Ei tullut kokeiltua buutata vielä vanhalla kernelillä että mitä tapahtuu, eikä kyllä kiinnostakaan.
Laitan wintoosan sisuksiin ja kone kiertoon kun uusi tuli tilattua..